Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class JmsConstants

    java.lang.Object
      org.mule.transport.jms.JmsConstants

    public class JmsConstants

extends Object

Field Summary
`static String` | `CACHE_JMS_SESSIONS_PROPERTY`
`static String` | `DISABLE_TEMP_DESTINATIONS_PROPERTY`
`static String` | `DURABLE_NAME_PROPERTY`
`static String` | `DURABLE_PROPERTY`
`static String` | `JMS_CORRELATION_ID`
`static String` | `JMS_DELIVERY_MODE`
`static String` | `JMS_DESTINATION`
`static String` | `JMS_EXPIRATION`
`static String` | `JMS_MESSAGE_ID`
`static String` | `JMS_PRIORITY`
`static Set` | `JMS_PROPERTY_NAMES`
`static String` | `JMS_REDELIVERED`
`static String` | `JMS_REPLY_TO`
`static String` | `JMS_SELECTOR_PROPERTY`
`static String` | `JMS_SPECIFICATION_102B`
`static String` | `JMS_SPECIFICATION_11`
`static String` | `JMS_TIMESTAMP`
`static String` | `JMS_TYPE`
`static String` | `JMS_X_DELIVERY_COUNT`
`static String` | `PERSISTENT_DELIVERY_PROPERTY`
`static String` | `PRIORITY_PROPERTY`
`static String` | `RETURN_ORIGINAL_MESSAGE_PROPERTY`
`static String` | `TIME_TO_LIVE_PROPERTY`
`static String` | `TOPIC_PROPERTY`

Constructor Summary
`JmsConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMS_SPECIFICATION_102B

    public static final String JMS_SPECIFICATION_102B

See Also:
  Constant Field Values

### JMS_SPECIFICATION_11

    public static final String JMS_SPECIFICATION_11

See Also:
  Constant Field Values

### JMS_CORRELATION_ID

    public static final String JMS_CORRELATION_ID

See Also:
  Constant Field Values

### JMS_DELIVERY_MODE

    public static final String JMS_DELIVERY_MODE

See Also:
  Constant Field Values

### JMS_DESTINATION

    public static final String JMS_DESTINATION

See Also:
  Constant Field Values

### JMS_EXPIRATION

    public static final String JMS_EXPIRATION

See Also:
  Constant Field Values

### JMS_MESSAGE_ID

    public static final String JMS_MESSAGE_ID

See Also:
  Constant Field Values

### JMS_PRIORITY

    public static final String JMS_PRIORITY

See Also:
  Constant Field Values

### JMS_REDELIVERED

    public static final String JMS_REDELIVERED

See Also:
  Constant Field Values

### JMS_REPLY_TO

    public static final String JMS_REPLY_TO

See Also:
  Constant Field Values

### JMS_TIMESTAMP

    public static final String JMS_TIMESTAMP

See Also:
  Constant Field Values

### JMS_TYPE

    public static final String JMS_TYPE

See Also:
  Constant Field Values

### JMS_X_DELIVERY_COUNT

    public static final String JMS_X_DELIVERY_COUNT

See Also:
  Constant Field Values

### TIME_TO_LIVE_PROPERTY

    public static final String TIME_TO_LIVE_PROPERTY

See Also:
  Constant Field Values

### PERSISTENT_DELIVERY_PROPERTY

    public static final String PERSISTENT_DELIVERY_PROPERTY

See Also:
  Constant Field Values

### PRIORITY_PROPERTY

    public static final String PRIORITY_PROPERTY

See Also:
  Constant Field Values

### JMS_SELECTOR_PROPERTY

    public static final String JMS_SELECTOR_PROPERTY

See Also:
  Constant Field Values

### TOPIC_PROPERTY

    public static final String TOPIC_PROPERTY

See Also:
  Constant Field Values

### DURABLE_PROPERTY

    public static final String DURABLE_PROPERTY

See Also:
  Constant Field Values

### DURABLE_NAME_PROPERTY

    public static final String DURABLE_NAME_PROPERTY

See Also:
  Constant Field Values

### CACHE_JMS_SESSIONS_PROPERTY

    public static final String CACHE_JMS_SESSIONS_PROPERTY

See Also:
  Constant Field Values

### DISABLE_TEMP_DESTINATIONS_PROPERTY

    public static final String DISABLE_TEMP_DESTINATIONS_PROPERTY

See Also:
  Constant Field Values

### RETURN_ORIGINAL_MESSAGE_PROPERTY

    public static final String RETURN_ORIGINAL_MESSAGE_PROPERTY

See Also:
  Constant Field Values

### JMS_PROPERTY_NAMES

    public static final Set JMS_PROPERTY_NAMES

Constructor Detail

### JmsConstants

    public JmsConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.